Target version:

Resolution: Duplicate Affected version:

Description

Currently the APl is limited to a maximum of 100 items in any one response [1], however on the other hand it is possible to configure
the issue export limit.

I would like to be able to raise this number similarly to the export limit as this would allow us to pull info from the Ul into our Bl (which
doesn't handle paging very well) to give us dashboards for management.

| realise that simply raising the limit is not a very elegant solution, however 100 is very low, and as we can handle displaying many
more through the webui it seems like a reasonable work-around.

[1] Rest_api

Related issues:
Is duplicate of Redmine - Patch #16069: Allow configuration of API limit inst... New

History

#1 - 2017-04-09 02:18 - Go MAEDA
- Is duplicate of Patch #16069: Allow configuration of API limit instead of hardcoding at 100 added

#2 - 2017-04-09 02:20 - Go MAEDA
- Category set to REST API
- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #16069.
Thank you for suggesting improvement.

#3 - 2017-05-06 16:50 - Toshi MARUYAMA

- Description updated
https://www.redmine.org/projects/redmine/wiki/Rest_api#Collection-resources-and-pagination
https://www.redmine.org/issues/16069
http://www.tcpdf.org

